HomePhabricator
Python-EFL 1.13.0 release

Python-EFL 1.13.0 release

We are pleased to announce that Python-EFL 1.13.0 is now released and available for download... and for the first time in time-sync with the EFL release.

Download

For convenience the tarballs contain both the Cython sources and generated intermediary C sources, meaning you do not need Cython to compile the bindings. Full cython sources are also publicly accessible from our git repository at:
https://git.enlightenment.org/bindings/python/python-efl.git/

More information about the python bindings can be found at:
https://phab.enlightenment.org/w/projects/python_bindings_for_efl/


What's New

This release comes with some usability improvements, most notably the new efl.utils.setup module that simplify the setup.py scripts for your applications and the inclusion of various helper for evas size hints (EXPAND_BOTH, FILL_BOTH, etc). Many documentation improvements have been made and lots more will follow.

All the new features of efl and elementary 1.13 has been ported and the usual has been done in fixing bugs and optimizing speed. (see ChangeLog in the tarball for the full list of changes)

From now on the packages will be also available on pypi, that means you should be able to install using pip:

pip install python-efl

Shortlog

Dave Andreoli (98):

  • Fix elm.ObjectItem.part_content_set() to accept a generic EvasObject.
  • Better docs for available Genlist item styles
  • Genlist: new clicked,right signal
  • elm.Theme: added group_base_list_get() function
  • New test for standard icons
  • Added new efl.utils.setup pure python module
  • setup.py: be more verbose about python and cython versions
  • setup.py: no need to use cython build_ext
  • Changed the way we check and enable Cython usage
  • Disable evas.SmartObject to workaround Cython brakage.
  • Provide a new distutil command: build_edc
  • New distutils command: uninstall
  • Docs for fdo icon names
  • Added new convenience class: DialogWindow
  • Lots of documentation fixes for ALL the classes
  • Move ecore_x out of the ecore extension
  • Remove old (moved) ecore.x files
  • Remove specific X code from elm
  • Provide the uninstall command for python-efl itself
  • Use new cython cpdef-enums in evas
  • New style enums for ecore
  • New style enums for edje
  • New style enums for edje_edit
  • New style enums for emotion
  • New style enums for eo
  • New style enums for ethumb
  • And (finally) new style enums for elm
  • Evas: better define for EVAS_HINT_FILL/EXPAND
  • Provide a new distutils Command: build_fdo
  • Evas.Object: New convenience props, size_hint_expand and size_hint_fill
  • Fix doc build errors removing refs to ecore.x and SmartObject
  • Docs for the provided distutils commands
  • Docs: try to improve the style of the Inheritance Diagram
  • Docs: removed some really old evas writes, they do not apply anymore
  • Convert changes.html in a standard ChangeLog file
  • Doc: restructure evas documentaion
  • Doc: restructure ethumb docs
  • Doc: restructure edje and emotion documentation
  • Doc: restructure elementary documentation
  • GenlistItem: no more need to implement tooltip/cursor functions
  • GengridItem: no more need to implement tooltip/cursor functions
  • Fix documentation for the Theme class
  • Fix doc for theme.theme_list_item_path_get.
  • New 1.13 property Scroller.step_size
  • New 1.13 property evas.Map.util_object_move_sync
  • New 1.13 property elm.Configuration.slider_indicator_visible_mode
  • New 1.13 signal for elm.Win theme,changed
  • New 1.13 elm.Transit.tween_mode_factor_n_set
  • New 1.13 signal clicked,right for Gengrid and List
  • New 1.13 property elm.Table.align
  • Just for fun: port of the Transit Bezier test
  • Use LooseVersion (instead of pkg-config) to check required version.
  • Huge documentation work
  • Docs: improved evas pages
  • Genlist: new test for reorder mode
  • New setup.py command: test
  • Improve a bit the Window test
  • Add a new example for win main_menu
  • Deprecate elm.Configuration.engine and preferred_engine
  • Fix Entry Anchor test
  • fixed elm.Entry.cursor_content_get() to not crash when called

Building and Dependencies

If you have existing Python-EFL or the old split 1.7 release bindings installed, you may wish to uninstall them before compiling and installing to avoid possible conflicts during install and/or runtime.

To build the bindings you will need the following libraries:

  • python (Python 2.6+/3.0+)
  • efl (1.13)
  • elementary (1.13)
  • python-dbus (0.83+)

If you wish to compile using the Cython sources:

  • cython (0.21+)

To install the bindings run:

(sudo) python setup.py install

To generate the documentation locally you need:

  • sphinx (1.1+)
  • graphviz (optional)

To build the documentation:

python setup.py build_doc

For more information on available build options see:

python setup.py --help

Projects using Python-EFL

... and many more that cannot fit in this short list.

Written by DaveMDS on Feb 9 2015, 1:57 PM.
User
Projects
None
Subscribers
None